Bug 70861 - Crash on right click -> paragraph
Summary: Crash on right click -> paragraph
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.2.0 target:4.4.0.0.beta2 tar...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-10-25 10:16 UTC by Miklos Vajna
Modified: 2014-12-18 12:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2013-10-25 10:16:02 UTC
Just start Writer, right click -> paragraph, and it crashes. Bisect says:

c2ccd20c0fd92bddfff76447754541705e3eb8f3 is the first bad commit
commit c2ccd20c0fd92bddfff76447754541705e3eb8f3
Author: Adam Co <rattles2013@gmail.com>
Date:   Thu Aug 29 17:16:44 2013 +0300

    fdo#44689: fix for specific case of page restart-value 0
Comment 1 Commit Notification 2013-10-25 11:13:26 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ce19ddcb6595c71980aecfa1e8c0827343159a4

fdo#70861 SwToSfxPageDescAttr: fix call to SvxExtParagraphTabPage



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Miklos Vajna 2013-10-25 11:13:57 UTC
Regression is master-only, no backport.
Comment 3 Commit Notification 2014-11-27 23:05:04 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c1a1b98776ca2216d82af303394a09f2bac0471

fdo#70861: cui: fix crash in SvxExtParagraphTabPage

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-11-27 23:07:26 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f89fa7ab44b05decebc9280696948f7df77414c5&h=libreoffice-4-4

fdo#70861: cui: fix crash in SvxExtParagraphTabPage

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-11-28 09:21:04 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7cbc78da69a755b8a994c46c5f04bee0b4b0dd1b&h=libreoffice-4-3

fdo#70861: cui: fix crash in SvxExtParagraphTabPage

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-12-02 20:37:04 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fbb9c7654f812431044aa5a49dba8f0ef6ebdb9a&h=libreoffice-4-3-5

fdo#70861: cui: fix crash in SvxExtParagraphTabPage

It will be available in 4.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.